> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add new group

> Create a new collaboration group for sharing resources between clients.
Groups can have capacity limits on member count.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_reseller_api.yaml post /fastedge/v1/admin/groups
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Reseller Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: FastEdge Reseller Apps
    x-displayName: Apps
  - description: Plans are sets of limits (memory amount, timeout), applied to edge apps
    name: Plans
    x-displayName: Plans
  - description: Client groups for template visibility
    name: Groups
    x-displayName: Groups
  - description: Billing and BI-related APIs
    name: Billing
    x-displayName: Billing
  - name: fastedge_reseller_other
    x-displayName: other
paths:
  /fastedge/v1/admin/groups:
    post:
      tags:
        - Groups
      summary: Add new group
      description: |-
        Create a new collaboration group for sharing resources between clients.
        Groups can have capacity limits on member count.
      operationId: addGroup
      requestBody:
        content:
          application/json:
            schema:
              properties:
                default_flag:
                  type: boolean
                  description: Add new members to the group by default
                  default: false
                descr:
                  description: Group description
                  type: string
                name:
                  type: string
                  description: Group name
              required:
                - name
              type: object
        description: Group description
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/group_short'
          description: Group created successfully, returns group metadata
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Service unavailable
components:
  schemas:
    group_short:
      type: object
      required:
        - id
        - name
        - default_flag
      properties:
        id:
          type: integer
          format: int64
          description: Group ID
        name:
          type: string
          description: Group name
        default_flag:
          type: boolean
          description: Add new members to the group by default
          default: false
        descr:
          type: string
          description: Group description
          example: Video streaming customers
        client_count:
          type: integer
          description: Number of members in the group
        template_count:
          type: integer
          description: Number of templates in the group
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````